PDA

Visualizza la versione completa : Nvidia


Geppo Hylar
15-09-2007, 22:54
Dopo un formattone ed essere passato alla distro Debian etch
con un kernel:
2.6.18-5-k7

Non riesco pi ad installare la mia NVIDIA ge force 4 mmx
Se provo a lanciare il vecchio file di installazione mi dice che non trova il kernel headers, eppure io ho installato il nvidia-kernel-2.6.18-5-k7
il kernel-header della mia versione non lo trovo.
la mia sources.list :

deb http://debian.fastweb.it/debian/ etch main contrib non-free
deb-src http://debian.fastweb.it/debian/ etch main contrib non-free

deb http://security.debian.org/ etch/updates main contrib
deb-src http://security.debian.org/ etch/updates main contrib

bereshit
15-09-2007, 23:39
che intendi con vecchio file di configurazione

basta installare i pacchetti nvidia-kernel-"tuo kernel" e nvidia-glx

Geppo Hylar
17-09-2007, 21:48
quando provo ad installare nvidia-glx mi va ad installare nvidia-kernel 2.4*** mentre io ho il 2.6.18-5-k7
cosa faccio? provo lo stesso?
PS
Ho provato adesso e non funziona! E il file che scarichi dal sito Nvidia non funziona perch non ho il kernel-header della mia versione.

andy caps
17-09-2007, 23:39
digita uname -r per vedere he kernel stai usando

i tuoi headers devi averli obbligatoriamente se hai etch


http://packages.debian.org/etch/linux-headers-2.6.18-5-k7/i386/download
al limite scaricali manualmente

se dai un apt-cache search 2.6.18-5-k7 dovrebbe trovarli

bereshit
17-09-2007, 23:51
non possibile

non esiste il pacchetto nvidia-kermel-2.4 in etch?

ma stato un aggiornamento da sarge o un'installazione pulita ?

Geppo Hylar
18-09-2007, 22:26
Originariamente inviato da andy caps
digita uname -r per vedere he kernel stai usando

i tuoi headers devi averli obbligatoriamente se hai etch


http://packages.debian.org/etch/linux-headers-2.6.18-5-k7/i386/download
al limite scaricali manualmente

se dai un apt-cache search 2.6.18-5-k7 dovrebbe trovarli
Ora che l'ho scaricato dal tuo link, dove me lo metto? :D

andy caps
18-09-2007, 22:30
dpkg -i nome pacchetto e lo installi
:bh:
se cerchi linux-header dovrebbe trovarlo per forza anche apt

Geppo Hylar
19-09-2007, 14:27
Originariamente inviato da andy caps
dpkg -i nome pacchetto e lo installi
:bh:
se cerchi linux-header dovrebbe trovarlo per forza anche apt

fatto. Ho installato il pacchetto, che comunque era gia esistente (praticamente l'ho rimpiazzato con uno probabilmente identico).
Per quando provo a lanciare il driver scaricato dal sito di NVIDIA con
sh NVIDIAxxxxx.run

mi da il solito errore! E cio che non riesce a trovare il precompiled kernel interface!

E pensare che una volta avevo installato il driver (sulla vecchia sarge) senza tutta sta boba!

andy caps
19-09-2007, 14:49
il messaggio precompied . . . . etcetera non un errore

digli direttamente no quando chiede di cercare sul sito di nvidia

lui compila per il kernel in uso dopo

Geppo Hylar
20-09-2007, 13:51
Originariamente inviato da andy caps
il messaggio precompied . . . . etcetera non un errore

digli direttamente no quando chiede di cercare sul sito di nvidia

lui compila per il kernel in uso dopo

ho provato anche a dirgli di no, ma lui non lo trova.
e mi sembra di ricordare che mi chiedeva il pacchetto gcc e libc
solo che con synaptic riesco a trovare solo gcc, ma non libc :cry:

Loading